Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-refer-with-norefersub-02.txt

From: "Orit Levin" <[email-masked]>
Date: Tue, 19 Jul 2005 18:11:17 -0700

Guys,

The submitted draft is according to my best understanding of the
agreement from the last IETF and I am not aware of any open issues
associated with it.

That being said, in the process of writing this version, I came to think
that having a new general "Request-Options" or "Request" header
containing any defined option tags (and being positively responded by a
Require header) would be a better approach than having a specific
Refer-Sub header sent in both directions as in the current draft.

Any opinions?

Orit.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Tuesday, July 19, 2005 12:50 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D ACTION:draft-ietf-sip-refer-with-norefersub-02.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Session Initiation Protocol Working
Group
> of the IETF.
> 
> 	Title		: Suppression of Session Initiation Protocol
>                           REFER Method Implicit Subscription
> 	Author(s)	: O. Levin
> 	Filename	: draft-ietf-sip-refer-with-norefersub-02.txt
> 	Pages		: 9
> 	Date		: 2005-7-19
> 
> This specification defines a way to suppress an implicit subscription
>    with the Session Initiation Protocol (SIP) REFER method.  A new SIP
>    option tag "norefersub" is defined to indicate support for this
>    extension.  A new SIP header field "Refer-Sub" is defined to
request
>    the usage of this extension.
> 
> A URL for this Internet-Draft is:
>
http://www.ietf.org/internet-drafts/draft-ietf-sip-refer-with-norefersub
-
> 02.txt
> 
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
the
> message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
> username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-sip-refer-with-norefersub-02.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE
/internet-drafts/draft-ietf-sip-refer-with-norefersub-02.txt".
> 
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Mon, 25 Jul 2005 13:22:17 -0500

> Refer-Sub header sent in both directions as in the current draft.

Orit has raised a what I think is a reasonable question on this draft.  
However, we had a strong consensus on the design team during the last  
meeting to proceed with the approach she has documented in the current  
version of the draft.

It seems to me that if we are going to proceed with the refer-features  
model, we might wish to do norefersub using this approach. If not, then  
we should clearly proceed with the current consensus.

So I'd like to raise two questions at this time:

1) Do we wish to proceed with a refer feature parameterization method,  
as in:
http://www.ietf.org/internet-drafts/draft-ietf-sip-refer-feature-param 
-00.txt?

2) Do we wish to reopen draft-ietf-sip-refer-with-norefersub-02.txt, or  
submit it immediately for publication as documented according to the  
standing WG consensus?

Thanks.

--
Dean